Show / Hide Table of Contents

# Class Fate

This class represents an FFXIV Fate.

##### Inheritance

System.Object
Fate

##### Implements

System.IEquatable<Fate>

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Fates

###### Assembly: Dalamud.dll

##### Syntax

    public class Fate : IEquatable<Fate>

### Properties

| Improve this Doc View Source

#### Address

Gets the address of this Fate in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Duration

Gets how long this Fate will run.

##### Declaration

    public short Duration { get; }

##### Property Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### FateId

Gets the Fate ID of this Fate.

##### Declaration

    public ushort FateId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GameData

Gets game data linked to this Fate.

##### Declaration

    public Lumina.Excel.GeneratedSheets.Fate GameData { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.Fate |

| Improve this Doc View Source

#### Level

Gets the level of this Fate.

##### Declaration

    public byte Level { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

Gets the displayname of this Fate.

##### Declaration

    public SeString Name { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Position

Gets the position of this Fate.

##### Declaration

    public Vector3 Position { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector3 |

| Improve this Doc View Source

#### Progress

Gets the progress amount of this Fate.

##### Declaration

    public byte Progress { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StartTimeEpoch

Gets the time this Fate started.

##### Declaration

    public int StartTimeEpoch { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### State

Gets the state of this Fate (Running, Ended, Failed, Preparation, WaitingForEnd).

##### Declaration

    public FateState State { get; }

##### Property Value

Type | Description
--- | ---
FateState |

| Improve this Doc View Source

#### TerritoryType

Gets the territory this Fate is located in.

##### Declaration

    public ExcelResolver<Lumina.Excel.GeneratedSheets.TerritoryType> TerritoryType { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.TerritoryType> |

| Improve this Doc View Source

#### TimeRemaining

Gets the remaining time in seconds for this Fate.

##### Declaration

    public long TimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

### Methods

| Improve this Doc View Source

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)
| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()
| Improve this Doc View Source

#### IsValid()

Gets a value indicating whether this actor is still valid in memory.

##### Declaration

    public bool IsValid()

##### Returns

Type | Description
--- | ---
System.Boolean | True or false.

| Improve this Doc View Source

#### IsValid(Fate)

Gets a value indicating whether this Fate is still valid in memory.

##### Declaration

    public static bool IsValid(Fate fate)

##### Parameters

Type | Name | Description
--- | --- | ---
Fate | fate | The fate to check.

##### Returns

Type | Description
--- | ---
System.Boolean | True or false.

### Operators

| Improve this Doc View Source

#### Equality(Fate, Fate)

##### Declaration

    public static bool operator ==(Fate fate1, Fate fate2)

##### Parameters

Type | Name | Description
--- | --- | ---
Fate | fate1 |
Fate | fate2 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Inequality(Fate, Fate)

##### Declaration

    public static bool operator !=(Fate fate1, Fate fate2)

##### Parameters

Type | Name | Description
--- | --- | ---
Fate | fate1 |
Fate | fate2 |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IEquatable<Fate>.Equals(Fate)

##### Declaration

    bool IEquatable<Fate>.Equals(Fate other)

##### Parameters

Type | Name | Description
--- | --- | ---
Fate | other |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

System.IEquatable<T>